Package picard.arrays.illumina

## Class Build37ExtendedIlluminaManifestRecord

- java.lang.Object
- - picard.arrays.illumina.IlluminaManifestRecord
  - - picard.arrays.illumina.Build37ExtendedIlluminaManifestRecord

-     public class Build37ExtendedIlluminaManifestRecord
      extends IlluminaManifestRecord

  A class to represent a record (line) from an Extended Illumina Manifest [Assay] entry

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `Build37ExtendedIlluminaManifestRecord.Flag` |

    - ### Nested classes/interfaces inherited from class picard.arrays.illumina.IlluminaManifestRecord

      `IlluminaManifestRecord.IlluminaStrand`

  - ### Field Summary

    - ### Fields inherited from class picard.arrays.illumina.IlluminaManifestRecord

      `ILLUMINA_FLAGGED_BAD_CHR`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `htsjdk.variant.variantcontext.Allele` | `getAlleleA()` |
    `htsjdk.variant.variantcontext.Allele` | `getAlleleB()` |
    `String` | `getB37Chr()` |
    `Integer` | `getB37Pos()` |
    `Build37ExtendedIlluminaManifestRecord.Flag` | `getFlag()` |
    `String` | `getLine()` |
    `htsjdk.variant.variantcontext.Allele` | `getRefAllele()` |
    `htsjdk.tribble.annotation.Strand` | `getReferenceStrand()` |
    `String` | `getRsId()` |
    `String` | `getSnpAlleleA()` |
    `String` | `getSnpAlleleB()` |
    `String` | `getSnpRefAllele()` |
    `Boolean` | `isDupe()` |
    `Boolean` | `isFail()` |
    `void` | `setDupe​(boolean isDupe)` |
    `void` | `setRsId​(String rsId)` |

    - ### Methods inherited from class picard.arrays.illumina.IlluminaManifestRecord

      `getAddressAId, getAddressBId, getAlleleAProbeSeq, getAlleleBProbeSeq, getBeadSetId, getChr, getExpClusters, getGenomeBuild, getHgGenomeBuild, getIlmnId, getIlmnStrand, getIndex, getIntensityOnly, getMajorGenomeBuild, getName, getPloidy, getPosition, getRefStrand, getSnp, getSource, getSourceSeq, getSourceStrand, getSourceVersion, getSpecies, getTopGenomicSeq, isAmbiguous, isIndel, isSnp, setHgGenomeBuild, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getAlleleA

          public htsjdk.variant.variantcontext.Allele getAlleleA()

    - #### getAlleleB

          public htsjdk.variant.variantcontext.Allele getAlleleB()

    - #### getRefAllele

          public htsjdk.variant.variantcontext.Allele getRefAllele()

    - #### getReferenceStrand

          public htsjdk.tribble.annotation.Strand getReferenceStrand()

    - #### getB37Chr

          public String getB37Chr()

    - #### getB37Pos

          public Integer getB37Pos()

    - #### getSnpRefAllele

          public String getSnpRefAllele()

    - #### getSnpAlleleA

          public String getSnpAlleleA()

    - #### getSnpAlleleB

          public String getSnpAlleleB()

    - #### getRsId

          public String getRsId()

    - #### isFail

          public Boolean isFail()

    - #### isDupe

          public Boolean isDupe()

    - #### getFlag

          public Build37ExtendedIlluminaManifestRecord.Flag getFlag()

    - #### setRsId

          public void setRsId​(String rsId)

    - #### setDupe

          public void setDupe​(boolean isDupe)

    - #### getLine

          public String getLine()

      Overrides:
        `getLine` in class `IlluminaManifestRecord`